using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace LayoutSysteme
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            FormStackPanelVertical form = new FormStackPanelVertical();
            form.ShowDialog();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            FormStackPanelHorizontal form = new FormStackPanelHorizontal();
            form.ShowDialog();
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            FormDockPanel_1 form = new FormDockPanel_1();
            form.ShowDialog();
        }

        private void Button_Click_3(object sender, RoutedEventArgs e)
        {
            FormDockPanel2 form = new FormDockPanel2();
            form.ShowDialog();
        }

        private void Button_Click_4(object sender, RoutedEventArgs e)
        {
            FormWrapPanel1 form = new FormWrapPanel1();
            form.ShowDialog();
        }

        private void Button_Click_5(object sender, RoutedEventArgs e)
        {
            FormWrapPanel2 form = new FormWrapPanel2();
            form.ShowDialog();
        }

        private void Button_Click_6(object sender, RoutedEventArgs e)
        {
            FormUniformGrid1 form = new FormUniformGrid1();
            form.ShowDialog();
        }

        private void Button_Click_7(object sender, RoutedEventArgs e)
        {
            FormUniFormGrid2 form = new FormUniFormGrid2();
            form.ShowDialog();
        }

        private void Button_Click_8(object sender, RoutedEventArgs e)
        {
            FormCanvasLayout form = new FormCanvasLayout();
            form.ShowDialog();
        }

        private void Button_Click_9(object sender, RoutedEventArgs e)
        {
            FormTabPanel form = new FormTabPanel();
            form.ShowDialog();
        }

        private void Button_Click_10(object sender, RoutedEventArgs e)
        {
            FormGridPanel form = new FormGridPanel();
            form.ShowDialog();
        }
    }
}
